Summary:	Eric4 - a full featured Python IDE
Summary(pl.UTF-8):	Eric4 - pełnowartościowe IDE dla Pythona
Name:		eric4
Version:	4.5.15
Release:	1
License:	GPL v3+
Group:		X11/Development/Tools
# http://downloads.sourceforge.net/project/eric-ide/eric4/stable/4.4.19/eric4-4.4.19.tar.gz
# Source0:	http://downloads.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
Source0:	http://downloads.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
# Source0-md5:	08bd632779fab09ef247f365fc1ae31c
Source1:	%{name}.desktop
URL:		http://eric-ide.python-projects.org/
BuildRequires:	python-PyQt4-devel-tools
BuildRequires:	python-qscintilla2-devel >= 2.4.4-3
BuildRequires:	python-sip-devel >= 2:4.5.10
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-devel-tools
Requires:	python-modules-sqlite
Requires:	python-qscintilla2 >= 2.4.4-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eric4 is a full featured Python IDE that is written in PyQt4 using the
QScintilla editor widget.

%description -l pl.UTF-8
Eric4 jest pełnowartościowym IDE dla Pythona napisanym w PyQt4 i
używającym edytora QScintilla.

%package doc
Summary:	Documentation for Eric4
Summary(pl.UTF-8):	Dodatkowa dokumentacja dla Eric4
Group:		X11/Development/Tools
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for Eric4.

%description doc -l pl.UTF-8
Dodatkowa dokumentacja dla Eric4.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

python install.py -z -c -b %{_bindir} -d %{py_sitescriptdir} -i $RPM_BUILD_ROOT
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/eric4.desktop
install -D eric/pixmaps/eric.png $RPM_BUILD_ROOT%{_pixmapsdir}/eric4.png

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/*
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/*

rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/LICENSE.GPL3

%clean
rm -rf $RPM_BUILD_ROOT

# NOTE: eric4 uses *.py files for it's own purposes
# so do not remove them from package
%files
%defattr(644,root,root,755)
%doc README* THANKS
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/eric4config.py*
%{py_sitescriptdir}/%{name}
%dir %{py_sitescriptdir}/%{name}plugins
%{py_sitescriptdir}/%{name}plugins/*
%exclude %{py_sitescriptdir}/%{name}/Documentation
%{_desktopdir}/eric4.desktop
%{_pixmapsdir}/eric4.png
%{_datadir}/qt4/qsci/api/python/*
%{_datadir}/qt4/qsci/api/ruby

%files doc
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/%{name}/Documentation
%{py_sitescriptdir}/%{name}/Documentation/Source
%changelog
* Tue Oct 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eric4.git;a=log;h=master

* Tue Oct 01 2013 Mateusz Korniak <matkor@pld-linux.org> 26fdee2
- Version 4.5.15-1.

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> b76459c
- release 2 (by relup.sh)

* Sat Apr 06 2013 Mateusz Korniak <matkor@pld-linux.org> a086686
- Version 4.5.10-1

* Tue Apr 02 2013 Mateusz Korniak <matkor@pld-linux.org> 69a3a80
- Version 4.5.9-1.

* Wed Jan 02 2013 Mateusz Korniak <matkor@pld-linux.org> ad6f1ed
- Version 4.5.8-1.

* Fri Nov 02 2012 Mateusz Korniak <matkor@pld-linux.org> 36bf456
- Version 4.5.7-1.

* Mon Oct 01 2012 Mateusz Korniak <matkor@pld-linux.org> a5fb999
- Version 4.5.6-1

* Tue Jul 31 2012 Mateusz Korniak <matkor@pld-linux.org> 2ac0bc5
- Version 4.5.5-1.

* Mon Jul 02 2012 Mateusz Korniak <matkor@pld-linux.org> 85db488
- Version 4.5.4-1.

* Wed May 02 2012 Mateusz Korniak <matkor@pld-linux.org> 90c6ba0
- Version 4.5.3-1.

* Thu Apr 12 2012 Mateusz Korniak <matkor@pld-linux.org> 4209927
- Release 2. R: python-modules-sqlite.

* Mon Apr 02 2012 Mateusz Korniak <matkor@pld-linux.org> 5a6cf01
- Version 4.5.2-1.

* Mon Jan 16 2012 Mateusz Korniak <matkor@pld-linux.org> 093a3fa
- Version 4.4.20-1.

* Mon Dec 05 2011 Mateusz Korniak <matkor@pld-linux.org> 7d60227
- Version 4.4.19-1.

* Mon Oct 03 2011 Mateusz Korniak <matkor@pld-linux.org> a7631a5
- Version 4.4.18-1.

* Wed Sep 07 2011 Mateusz Korniak <matkor@pld-linux.org> 3a0a519
- Version 4.4.17-1.

* Mon Jul 04 2011 Mateusz Korniak <matkor@pld-linux.org> bcfc9c5
- Updated source md5.

* Mon Jul 04 2011 Mateusz Korniak <matkor@pld-linux.org> 9aaf170
- Version 4.4.16-1.

* Wed May 11 2011 Mateusz Korniak <matkor@pld-linux.org> e93365e
- Version 4.4.14-1.

* Mon Apr 04 2011 Mateusz Korniak <matkor@pld-linux.org> 92add71
- Version 4.4.13-1.

